all options
stretch  ] [  buster  ] [  bullseye  ] [  bookworm  ] [  sid  ]
[ Source: libmoosex-role-strict-perl  ]

Package: libmoosex-role-strict-perl (0.5-3)

Links for libmoosex-role-strict-perl

Screenshot

Debian Resources:

Download Source Package libmoosex-role-strict-perl:

Maintainer:

External Resources:

Similar packages:

module for using strict 'roles' with Moose

When using Moose::Role, a class which provides a method a role provides will silently override that method. This can cause strange, hard-to-debug errors when the role's methods are not called. Simple use MooseX::Role::Strict instead of Moose::Role and overriding a role's method becomes a composition-time failure.

WARNING: this is ALPHA code. More features to be added later.

Tags: Software Development: Perl Development, Libraries, Implemented in: Perl

Other Packages Related to libmoosex-role-strict-perl

  • depends
  • recommends
  • suggests
  • enhances

Download libmoosex-role-strict-perl

Download for all available architectures
Architecture Package Size Installed Size Files
all 10.9 kB31.0 kB [list of files]